Subject: Re: bug#40916: [PATCH] Add "p" and "n" convenience bindings to help-mode-map

From: Amin Bandali <[email-masked]>
Date: Wed, 29 Apr 2020 01:23:58 -0400

Drew Adams <[email-masked]> writes:

>> The following binds "p" to backward-button, and "n" to forward-button
>> in help-mode-map for more conveniently jumping between buttons in *Help*
>> buffers.  I have found myself constantly reaching for these in *Help*
>> buffers after using helpful [0] for a while.
>
> We already have TAB and S-TAB.  TAB has been
> there forever, and S-TAB was added because it
> was claimed to be "standard" or "conventional"
> in some way.
>
> And TAB and S-TAB are the same keys we use in
> Info (where `n' and `p' move forward/backward
> among node siblings).
>

Thanks; I am already aware of those.

>
> Are we adding redundant keys now just because
> someone gets used to them in some other app
> or 3rd-party library?
>

No, we are discussing it.  And I don't see anything inherently wrong
with having more than one keybinding for a command; as is already the
case for various other built-in commands.

>
> Nothing prevents a user from binding `n' and
> `p' that way.  And nothing prevents a library
> from having a minor mode that binds them.
>
> And Emacs not binding them by default means
> they remain available for something else in
> the future.
>

Yes; these are valid criticisms.  See my reply to Stefan.

-- 
Amin Bandali
Free Software activist | GNU maintainer & webmaster
GPG: BE62 7373 8E61 6D6D 1B3A  08E8 A21A 0202 4881 6103
https://bandali.eu.org